SCUMMVM(6)

NAME
scummvm - graphic adventure game interpreter

SYNOPSIS
scummvm [options] [game]

DESCRIPTION
scummvm is an interpreter that will play graphic adventure games based an a variety of game engines.

-F  Force windowed mode.

-b param
    Pass number to the boot script (boot param).

-c config
    Use config as alternate configuration file.

-d level
    Set debug verbosity to level.

-e driver
    Music driver to use:

    adlib
        Adlib emulation (default)

    alsa
        Output using ALSA sequencer device

    amidi
        Use the MorphOS MIDI system, for MorphOS users

    core
        CoreAudio sound, for MacOS X users

    mt32
        MT-32 emulation

    null
        Null output. Don't play any music.

    pcjr
        PCjr emulation

    pcspk
        PC Speaker emulation

    qt  Quicktime sound, for Macintosh users

    seq Use /dev/sequencer for MIDI output

    towns
        FM-TOWNS YM2612 emulation

    windows
        Windows built in MIDI sequencer for Windows users

-f  Force full-screen mode.

-g scaler
    Select graphics scaler:

    2x  No filtering, factor 2x (default for non 640x480 games).

    3x  No filtering, factor 3x.

    2xsai
        2xsai filter, factor 2x.

    advmame2x
        Doesn't rely on blurring like 2xSAI, fast. Factor 2x.

    advmame3x
        Doesn't rely on blurring like 2xSAI, fast. Factor 3x.

    dotmatrix
        Dot matrix effect. Factor 2x.

    hq2x
        Very nice high quality filter but slow. Factor 2x.

    hq3x
        Very nice high quality filter but slow. Factor 3x.

    normal
        No filtering, no scaling. Fastest.

    super2xsai
        Enhanced 2xsai filtering, factor 2x.

    supereagle
        Less blurry than 2xsai, but slower. Factor 2x.

    tv2x
        Interlace filter, tries to emulate a TV. Factor 2x.

-h  Display a brief help text and exit.

-m vol
    Set the music volume to vol range 0-255 (default: 192).

-n  Enable subtitles (use with games that have voice).

-p path
    Path to where the game is installed.

-q language
    Select game language:

    cz  Czech

    en  English (USA) (default)

    de  German

    es  Spanish

    fr  French

    gb  English (Great Britain) (default for BASS)

    hb  Hebrew

    it  Italian

    jp  Japanese

    kr  Korean

    pt  Portuguese

    ru  Russian

    se  Swedish

    zh  Chinese

-r vol
    Set the speech volume to vol range 0-255 (default: 192).

-s vol
    Set the sfx volume to vol range 0-255 (default: 192).

-t  Display list of configured targets and exit.

-u  Enable script dumping if a directory called ‘dumps’ exists in the current directory.

-v  Display ScummVM version information and exit.

-x slot
    Save game slot number to load (default: autosave).

-z  Display list of supported games and exit.

--alt-intro
    Use alternative intro for CD versions of Beneath a Steel Sky and Flight of the Amazon Queen.

--aspect-ratio
    Enable aspect ratio correction.

--cdrom=num
    CD drive to play CD audio from (default: 0 = first drive).

--copy-protection
    Enable copy protection in SCUMM games, when ScummVM disables it by default.

--demo-mode
    Start demo mode of Maniac Mansion.

--joystick=num
    Enable input with joystick (default: 0 = first joystick).

--multi-midi
    Enable combination Adlib and native MIDI.

--native-mt32
    True Roland MT-32 MIDI (disable GM emulation).

--output-rate=rate
    Set output sample rate in Hz to rate (e.g. 22050).

--platform=plat
    Specify original platform of game.

--savepath=path
    Look for savegames in path.

--talkspeed=speed
    Set talk speed to speed for SCUMM games (default: 60).

--tempo=tempo
    Set music tempo to tempo (in percent, 50-200) for SCUMM games (default: 100).

INGAME KEYS

Cmd-q
    Quit (Mac OS X)

Ctrl-q
    Quit (Most platforms)

Ctrl-f
    Toggle fast mode

Ctrl-m
    Toggle mouse capture

Ctrl-Alt 1-8
    Switch between graphics filters

Ctrl-Alt +
    Increase scale factor

Ctrl-Alt -
    Decrease scale factor

Ctrl-Alt a
    Toggle aspect-ratio correction

Alt-Enter
    Toggle full screen/windowed

ENVIRONMENT

SCUMMVM_MIDI
    The sequencer device to use with the ‘seq’ MIDI driver.

SCUMMVM_MIDIPORT
    The number of the sequencer to use when using the ‘seq’ MIDI driver.

SCUMMVM_PORT
    The ALSA port to open for output when using the ‘alsa’ MIDI driver.

FILES

$HOME/.scummvmrc
    Configuration file on UNIX.

$HOME/Library/Preferences/ScummVM Preferences
    Configuration file on Mac OS X.

EXAMPLES
Running the builtin game launcher:

    $ scummvm

Running Day of the Tentacle specifying the path:

    $ scummvm -p /usr/local/share/games/tentacle tentacle

Running The Dig with advmame2x filter with subtitles:

    $ scummvm -g advmame2x -n dig

Running the Italian version of Maniac Mansion fullscreen:

    $ scummvm -q it -f maniac

SEE ALSO
More information can be found in the README and on the website http://www.scummvm.org.

AUTHORS
This manual page written by Jonathan Gray <khalek at scummvm.org>. ScummVM was written by the ScummVM team. See http://www.scummvm.org for more information.